Subject: bug#19933: LC_TIME category in Coreutils

From: [email-masked] (Ludovic Courtès)
Date: Wed, 25 Feb 2015 00:07:25 +0100

Andreas Schwab <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> I tried adding 'glibc-locales' to my system profile, and got this:
>>>
>>> ERROR: union-build: collision between file and directories ((files ("/gnu/store/nda1ih2iy8likfipl62afiqs6jwdsfxi-glibc-locales-2.20/share/locale/zh_CN/LC_TIME")) (dirs ("/gnu/store/mgfqcbm31rh738z13xlwh9ld9dm2vfvz-coreutils-8.23/share/locale/zh_CN/LC_TIME")))
>>>
>>> Indeed, in coreutils "share/locale/zh_CN/LC_TIME" is a directory
>>> containing a symbolic link "coreutils.mo" pointing to
>>> "../LC_MESSAGES/coreutils.mo", whereas in glibc-locales
>>> "share/locale/zh_CN/LC_TIME" is a binary file.
>>>
>>> Any ideas how to resolve this conflict?
>>
>> I would have expected packages other than libc to provide only
>> LC_MESSAGES, so I didn’t think such collisions could happen.
>
> glibc's locale files are supposed to reside in $(libdir)/locale, not
> $(datadir)/locale, so there is no conflict.

Oops, indeed (I had been using a custom value for ‘libc_cv_localedir’
and overlooked what the default value is.)

Thank you,
Ludo’.